## Fixed Point Number (fixed_point_literal)

A fixed point number (fixed_point_literal) is a numeric literal that specifies a number as a fixed point number.

### Syntax

<fixed_point_literal> ::=
[<sign>]<digit_sequence>[.<digit_sequence>]
| [<sign>]<digit_sequence>.
| [<sign>].<digit_sequence>

<sign> ::= + | -
<digit_sequence> ::= <digit>...
<digit> ::= 0 | 1 | 2 | | 3 | 4 | 5 | 6 | 7 | 8 | 9

+123.12
1234.